Get Profile API Keys
1 min
GET
https://api.upstartcommerce.com/v1/user/profile/api-keys
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- ApiKeySummary[]Description
- idstringrequiredDescription
- namestringrequiredDescription
- createdAtstring<date-time>requiredDescriptionFormatdate-time
- revokedbooleanrequiredDescription
- validTostring<date-time>DescriptionFormatdate-time
- lastUsedAtstring<date-time>DescriptionFormatdate-time
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring[]required
- reasonstring
401
- UnauthorizedErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ForbiddenErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- NotFoundErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
409
- ConflictErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- InternalServerErrorDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/user/profile/api-keys \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/user/profile/api-keys", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/user/profile/api-keys")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/user/profile/api-keys"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response containing the user's api keys info.
[
{
"id": "",
"name": "",
"createdAt": "",
"revoked": false,
"validTo": "",
"lastUsedAt": ""
}
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": [
""
],
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}409
// The request conflicts with the current state of the resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}